%{!?lua_version: %global lua_version %{lua: print(string.sub(_VERSION, 5))}}
%{!?lua_pkgdir: %global lua_pkgdir %{_datadir}/lua/%{lua_version}}

%global luapkgname luautf8

Name:          lua-%{luapkgname}
Version:       0.1.3
Release:       1%{?dist}
Summary:       A UTF-8 support module for Lua and LuaJIT.

License:       MIT
URL:           https://github.com/starwing/%{luapkgname}
Source0:       https://github.com/starwing/%{luapkgname}/archive/refs/tags/%{version}.tar.gz

BuildRequires: gcc
BuildRequires: lua-devel
BuildRequires: luarocks

%description
This module adds UTF-8 support to Lua.  It uses data extracted from Unicode
Character Database, and tested on Lua 5.2.3, Lua 5.3.0 and LuaJIT.  It mainly
used to be compatible with Lua's own string module, it passed all string and
pattern matching test in lua test suite2.  It also adds some useful routines
against UTF-8 features, like a convenient interface to escape Unicode sequence
in string; string insert/remove, since UTF-8 substring extract may expensive;
calculate Unicode width, useful when implement e.g. console emulator; a useful
interface to translate Unicode offset and byte offset.

%prep
%autosetup -n %{luapkgname}-%{version}

%install
rm -rf %{buildroot}
luarocks --tree=%{buildroot}/usr \
    make --deps-mode=none --no-manifest rockspecs/%{luapkgname}-%{version}-1.rockspec CFLAGS="%{build_cflags}"

# Remove luarocks metadata
rm -rf %{buildroot}/usr/lib

%files
%license LICENSE
%doc README.md
%{_libdir}/lua/%{lua_version}/lua-utf8.so

%changelog
* Sun Jul 25 2021 Johannes Maibaum <jmaibaum@gmail.com> - 0.1.3-1
- Initial spec file for lua-luautf8
